﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCETR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCETR_CKTS_OUT_ENTRY') 
 CREATE TABLE T_TCETR_CKTS_OUT_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FHSCODE BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FGOODSECDNUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FGOODSGLH VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPORTSELLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFOBPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREGOODSCODE BIGINT DEFAULT 0 NOT NULL,
FDEALRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDOLLARRATE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCETR_INVOICE_DETAIL') 
 CREATE TABLE T_TCETR_INVOICE_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSINVOICEDETAILID BIGINT DEFAULT 0 NOT NULL,
FINVOICEGLH VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCETR_CKTS_DGDJ' AND KSQL_COL_NAME ='FEXPORTBASEDATA') 
 ALTER TABLE T_TCETR_CKTS_DGDJ ADD (FEXPORTBASEDATA BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCETR_CKTS_JH_ENTRY' AND KSQL_COL_NAME ='FGHFMC') 
 ALTER TABLE T_TCETR_CKTS_JH_ENTRY ADD (FGHFMC VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCETR_CKTS_JH_ENTRY' AND KSQL_COL_NAME ='FZZSTAXRATE') 
 ALTER TABLE T_TCETR_CKTS_JH_ENTRY ADD (FZZSTAXRATE VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCETR_CKTS_JH_ENTRY' AND KSQL_COL_NAME ='FSINVOICEDETAILID') 
 ALTER TABLE T_TCETR_CKTS_JH_ENTRY ADD (FSINVOICEDETAILID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCETR_CKTS_JH_ENTRY' AND KSQL_COL_NAME ='FBACKAMOUNT') 
 ALTER TABLE T_TCETR_CKTS_JH_ENTRY ADD (FBACKAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCETR_CKTS_JH_ENTRY' AND KSQL_COL_NAME ='FZZSGLH') 
 ALTER TABLE T_TCETR_CKTS_JH_ENTRY ADD (FZZSGLH VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCETR_CKTS_JH_ENTRY' AND KSQL_COL_NAME ='FZZSUNIT') 
 ALTER TABLE T_TCETR_CKTS_JH_ENTRY ADD (FZZSUNIT VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCETR_CKTS_JH_ENTRY' AND KSQL_COL_NAME ='FTAXRATEPROP') 
 ALTER TABLE T_TCETR_CKTS_JH_ENTRY ADD (FTAXRATEPROP DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCETR_CKTS_JH_ENTRY' AND KSQL_COL_NAME ='FEDRATEPROP') 
 ALTER TABLE T_TCETR_CKTS_JH_ENTRY ADD (FEDRATEPROP DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCETR_DRAWBACK_IN_DET' AND KSQL_COL_NAME ='FZZSUNIT') 
 ALTER TABLE T_TCETR_DRAWBACK_IN_DET ADD (FZZSUNIT VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCETR_table.sql **/
