﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCETR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCETR_DECLARE_MAIN') 
 CREATE TABLE T_TCETR_DECLARE_MAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNSRTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FMONTH DATETIME,
FBATCHNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FZZSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FXFSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLARERID BIGINT DEFAULT 0 NOT NULL,
FDECLAREDATE DATETIME,
FTEMPLATEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCETR_DRAWBACK_IN_DET') 
 CREATE TABLE T_TCETR_DRAWBACK_IN_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICEDATE DATETIME,
FGOODSNOID BIGINT DEFAULT 0 NOT NULL,
FGOODSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10),
FJSJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREMARK VARCHAR(200) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCETR_DRAWBACK_OUT_DET') 
 CREATE TABLE T_TCETR_DRAWBACK_OUT_DET (
FID BIGINT DEFAULT 0 NOT NULL,
FROWNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOMSNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FCERTIFICATENO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPORTDATE DATETIME,
FGOODSNOID BIGINT DEFAULT 0 NOT NULL,
FGOODSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FEXPORTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFOBUSD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDECLAREGOODSID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(200) DEFAULT ' ' NOT NULL,
FSBBID VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCETR_table.sql **/
